# FFmpeg.py

**FFmpeg.py** is a Pythonic interface to [FFmpeg](https://ffmpeg.org/), designed to simplify the construction and execution of FFmpeg commands. It allows developers and power users to build complex audio/video processing pipelines in a more readable and flexible way.


## Key Features

- Clean, chainable API to compose FFmpeg commands
- Automatic escaping of command-line arguments
- Support for both simple and advanced filter graphs
- Easily integrated into larger video processing workflows
- Support for progress callback function

---

# FFprobe and FFplay

Alongside `ffmpeg.py`, this toolkit may also include convenient wrappers for:

## `ffprobe`

A Python wrapper for the `ffprobe` utility to extract metadata from media files.


## `ffplay`

A Python wrapper for  `ffplay` for previewing media via Python.